Skip to main content
GET
/
api
/
corpora
/
{corpus_id}
/
sources
/
{source_id}
/
documents
cURL
curl --request GET \
  --url https://api.ultravox.ai/api/corpora/{corpus_id}/sources/{source_id}/documents \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.ultravox.ai/api/corpora/{corpus_id}/sources/{source_id}/documents"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.ultravox.ai/api/corpora/{corpus_id}/sources/{source_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "corpusId": "<string>",
      "sourceId": "<string>",
      "documentId": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "mimeType": "<string>",
      "metadata": {
        "publicUrl": "<string>",
        "language": "<string>",
        "title": "<string>",
        "description": "<string>",
        "published": "2023-11-07T05:31:56Z",
        "exampleQueries": [
          "<string>"
        ]
      },
      "sizeBytes": "<string>"
    }
  ],
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
  "total": 123
}

Authorizations

X-API-Key
string
header
required

API key

Path Parameters

corpus_id
string<uuid>
required
source_id
string<uuid>
required

Query Parameters

cursor
string

The pagination cursor value.

pageSize
integer

Number of results to return per page.

Response

200 - application/json
results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cD00ODY%3D\""

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"

total
integer
Example:

123